org.red5.server.net.rtmp.event

## Class SerializeUtils

- java.lang.Object
- - org.red5.server.net.rtmp.event.SerializeUtils

    public class SerializeUtils
    extends Object

The utility class provides conversion methods to ease the use of byte arrays, Mina IoBuffers, and NIO ByteBuffers.

Author:
  Paul Gregoire (mondain@gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`SerializeUtils()`

### Method Summary

Methods
`static void` `ByteArrayToByteBuffer(byte[] byteBuf, IoBuffer buf)`
`static void` `ByteArrayToNioByteBuffer(byte[] byteBuf, ByteBuffer buf)`
`static byte[]` `ByteBufferToByteArray(IoBuffer buf)`
`static byte[]` `NioByteBufferToByteArray(ByteBuffer buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializeUtils

    public SerializeUtils()

### Method Detail

#### ByteBufferToByteArray

    public static byte[] ByteBufferToByteArray(IoBuffer buf)

#### NioByteBufferToByteArray

    public static byte[] NioByteBufferToByteArray(ByteBuffer buf)

#### ByteArrayToByteBuffer

    public static void ByteArrayToByteBuffer(byte[] byteBuf,
                             IoBuffer buf)

#### ByteArrayToNioByteBuffer

    public static void ByteArrayToNioByteBuffer(byte[] byteBuf,
                                ByteBuffer buf)